Subject: Re: Kernel crash after using new Intel NIC (igb)

From: Maximilian Engelhardt <[email-masked]>
Date: Wed, 27 Apr 2011 13:51:59 +0200

Hello Eric,

On Wednesday 27 April 2011 06:32:51 Eric Dumazet wrote:
> Le mercredi 27 avril 2011 à 06:24 +0200, Eric Dumazet a écrit :
> > We had similar reports in the past that disappeared when adding
> > "slab_nomerge" to boot parameters. We suspect a memory corruption from
> > another part of kernel on 64bytes kmemcache objects.
> > 
> > In 2.6.37, inetpeer code uses 64bytes objects. Using slab_nomerge and
> > SLUB allocator (as you already do), makes sure inetpeer kmemcache wont
> > be shared by other 64bytes objects in kernel.
> 
> Of course, the right option name is slub_nomerge
> 
> vi +2293 Documentation/kernel-parameters.txt
> 
>         slub_nomerge    [MM, SLUB]
>                         Disable merging of slabs with similar size. May be
>                         necessary if there is some reason to distinguish
>                         allocs to different slabs. Debug options disable
>                         merging on their own.
>                         For more information see Documentation/vm/slub.txt.

thank you for this information. I updated the kernel of the affected server to 
version 2.6.38.4 yesterday. I'll report when there are still crashes, but it 
might take a while, as in the past they only happened within the interval of 
weeks to month.

Greetings,
Maxi